[android-components](../../index.md) / [mozilla.components.support.locale](../index.md) / [LocaleAwareAppCompatActivity](./index.md)

# LocaleAwareAppCompatActivity

`open class LocaleAwareAppCompatActivity : AppCompatActivity` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/support/locale/src/main/java/mozilla/components/support/locale/LocaleAwareAppCompatActivity.kt#L13)

Base activity for apps that want to customized the system defined language by their own.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `LocaleAwareAppCompatActivity()`<br>Base activity for apps that want to customized the system defined language by their own. |

### Functions

| Name | Summary |
|---|---|
| [attachBaseContext](attach-base-context.md) | `open fun attachBaseContext(base: <ERROR CLASS>): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) |
